<?php

include "dayadb.php";
include_once $pear_tmpl; // using ITX 
include_once $pear_db;

//session_start();

if (!(isset($_SESSION["adminID"])))
   die ("You don't have permission to access");


$template = new HTML_Template_ITX ($template_dir);
$template->loadTemplatefile("admin_category_list.tpl", true, true);
include "head.php";
include "footer.php";

$connection = DB::connect($login); 

if (DB::isError($connection)) 
   die($connection->getMessage());		

/* use lock avoid dirty-read */
$query="LOCK TABLE category READ";
$query="SELECT * FROM category";
	
$result =$connection->query($query); 

if (DB::isError($result))  
   die($result->getMessage()); 

$totalnum = $result->numRows();
$offset = 0;

if (isset($_GET["offset"]))
  $offset = $_GET["offset"];

$result = $connection->limitQuery($query, $offset, ADMINLIMIT);

$rowcount = 0;

if ($totalnum > 0)
{
   /* load template to display category list 
    replace LIST placeholder with category_row which have delete/undelete
    check if cdelete is 'Y' or not, if yes, then display undelete
    otherwise display delete */
   $template->addBlockFile("LIST", "detail", "category_row.tpl");

   while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
   {
      $template->setCurrentBlock("detail");
      if ($row["cdelete"] == 'Y')
      {
        $template->setVariable("DES", "undelete_cat.php?");
        $template->setVariable("MESG", "undelete");
      }
      else
      {
         $template->setVariable("DES", "delete_cat.php?");
         $template->setVariable("MESG", "delete");   
      }
      /* replace placeholders with values
      category id, category name */
      $template->setVariable("CATEGORYID", $row["categoryID"]); 
      $template->setVariable("CATEGORYNAME", $row["categoryName"]);
      $template->parseCurrentBlock("detail");
   }
}


$template->setCurrentBlock("pagecount");
if ($totalnum > 0)
{
   $template->setVariable("STARTRECORD", $offset + 1);
}
else
{
   $template->setVariable("STARTRECORD", $offset);
}
$template->setVariable("TOTALRECORD", $totalnum);
$template->parseCurrentBlock("pagecount");


$template->setCurrentBlock("pagenavigation");
   /* if there is any previous page */
   if ($offset-ADMINLIMIT >= 0)
   {
      $tmpoffset = $offset - ADMINLIMIT;
      $template->setVariable("PREVIOUS", "?offset=$tmpoffset");
   }
   else
   {
      $template->setVariable("PREVIOUS", "#");
   }

   /* if there is any next page? */
   if ($offset+ADMINLIMIT < $totalnum)
   {
      $tmpoffset = $offset + ADMINLIMIT;
	  $template->setVariable("LINK", "admin_category_list.php");
      $template->setVariable("NEXT", "?offset=$tmpoffset");
   }
   else
   {
	  $template->setVariable("LINK", "admin_category_list.php");
      $template->setVariable("NEXT", "?offset=$offset");
   }
$template->parseCurrentBlock("pagenavigation");



$template->show();

$query="UNLOCK TABLES";
$result =$connection->query($query); 

if (DB::isError($result))  
   die($result->getMessage()); 

?>

