<?php

include "dayadb.php";
include_once $pear_tmpl;
include_once $pear_db;


//session_start();

if (!(isset($_SESSION["adminID"])))
   die ("You don't have permission to access");

$connection = DB::connect($login); 

if (DB::isError($connection)) 
   die($connection->getMessage());		

/* load the template to display a format for add new member*/
$template = new HTML_Template_ITX($template_dir);
$template->loadTemplatefile("admin_new_member.tpl", true, true);

$template->touchBlock("REGPR");


include "head.php";
include "footer.php";


/* replace DAY placeholder with values from 1-31 use drop-down list*/
$template->addBlockFile("DAY", "day", "list.tpl");
$i = 1;
while ($i<=31)
{	
   $template->setCurrentBlock("day");
   $template->setVariable("VALUE", $i);
   $i=$i+1;
   $template->parseCurrentBlock("day");
}



/* replace MONTH placeholder with values from 1-12 use drop-down list*/
$template->addBlockFile("MONTH", "month", "list.tpl");
$j = 1;
while ($j<=12)
{
   $template->setCurrentBlock("month");
   $template->setVariable("VALUE", $j);
   $j=$j+1;
   $template->parseCurrentBlock("month");
}

/*replace YEAR placeholder with values from 1900-2003 use drop-down list*/
$template->addBlockFile("YEAR", "year", "list.tpl");
$k = 1900;
while ($k<=2003)
{
   $template->setCurrentBlock("year");
   $template->setVariable("VALUE", $k);
   $k=$k+1;
   $template->parseCurrentBlock("year");
}

/*use lock to avoid dirty-read*/
$query="LOCK TABLE region READ";
$query="SELECT regionName FROM region";

$result =$connection->query($query); 

if (DB::isError($result))  
   die($result->getMessage()); 


/* replace REGION placeholder to region names in region table use drop-down 
 list*/
$template->addBlockFile("REGION", "region", "list.tpl");

while ($row= $result->fetchRow(DB_FETCHMODE_ASSOC))
{
   $template->setCurrentBlock("region");
   $template->setVariable("VALUE", $row["regionName"]);
   $template->parseCurrentBlock("region");
}

$template->show();

$query="UNLOCK TABLES";
$result =$connection->query($query);
if (DB::isError($result))  
   die($result->getMessage()); 

?>

