<?php

include "dayadb.php";
include_once $pear_tmpl;
include_once $pear_db;

//session_start();

if (!(isset($_SESSION["adminID"])))
   die ("You don't have permission to access");



/* load template to display the format*/
$template = new HTML_Template_ITX($template_dir);
$template->loadTemplateFile("admin_transaction.tpl", true, true);

include "head.php";
include "footer.php";

$connection = DB::connect($login); 

if (DB::isError($connection)) 
   die($connection->getMessage());		

/* lock table transaction to READ avoid dirty-read */
$query="LOCK TABLE transaction READ";
$query = "SELECT * FROM transaction t, items i " .
"WHERE t.itemID = i.itemID ORDER BY t.transactionID";

$result =$connection->query($query); 

if (DB::isError($result))  
   die($result->getMessage()); 

$totalnum = $result->numRows();
$offset = 0;

if (isset($_GET["offset"]))
  $offset = $_GET["offset"];

$result = $connection->limitQuery($query, $offset, ADMINLIMIT);

$rowcount = 0;

if ($totalnum > 0)
{
   /* replace placeholder LIST with transaction_row template which
    contains delete/undelete options to choose */
   $template->addBlockFile("LIST", "detail", "transaction_row.tpl");

   while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
   {
      $template->setCurrentBlock("detail");
   
      /* get tdelete attibute and check if it is 'Y'
       if so then the option should be undelete to undelete the transaction 
       otherwise the option should be delete */
      if ( $row["tdelete"] == 'Y')
      {    
         $template->setVariable("DES", "undelete_transaction.php?");
         $template->setVariable("MESG", "undelete");     
      }
      else
      {		 
         $template->setVariable("DES", "delete_transaction.php?");
         $template->setVariable("MESG", "delete");      
      }
      $template->setVariable("DET", "admin_transaction_detail.php?");

      /* detail block to replace each of the placeholders to its value
       displaying transaction id, the item title, the seller/buyer's usernames*/
      //   $template->setCurrentBlock("detail");
      $template->setVariable("ID", $row["transactionID"]);
      $template->setVariable("ITEMTITLE", $row["brand_title"]);
      /* to find seller/buyer username, to use sellerID/buyerID to get the 
       matched username in member table*/
      $seller=$row["sellerID"];
      /* use lock to avoid dirty-read */
      $q="LOCK TABLE member READ";
      $q="SELECT userName FROM member WHERE memberID='{$seller}'";
      $res =$connection->query($q);
      if (DB::isError($res))  
         die($res->getMessage()); 
      /* get the username of seller */
      while ($r =$res->fetchRow(DB_FETCHMODE_ASSOC))
      {
         $name= $r["userName"];	 
      }
      $template->setVariable("SELLER", $name);
      $buyer=$row["buyerID"];
      $q="SELECT userName FROM member WHERE memberID='{$buyer}'";
      $res =$connection->query($q);
      if (DB::isError($res))  
         die($res->getMessage()); 
      /* get the username of buyer */
      while ($r =$res->fetchRow(DB_FETCHMODE_ASSOC))
      {
         $name= $r["userName"];
      }

      /* unlock tables */
      $q="UNLOCK TABLES";
      $res =$connection->query($q);
      if (DB::isError($res))  
         die($res->getMessage()); 
      $template->setVariable("BUYER", $name);
   
      /* parse the block detail to the template */
      $template->parseCurrentBlock("detail");
   }
}
$template->setCurrentBlock("pagecount");
if ($totalnum > 0)
{
   $template->setVariable("STARTRECORD", $offset + 1);
}
else
{
   $template->setVariable("STARTRECORD", $offset);
}
$template->setVariable("TOTALRECORD", $totalnum);
$template->parseCurrentBlock("pagecount");


$template->setCurrentBlock("pagenavigation");
   /* if there is any previous page */
   if ($offset-ADMINLIMIT >= 0)
   {
      $tmpoffset = $offset - ADMINLIMIT;
      $template->setVariable("PREVIOUS", "?offset=$tmpoffset");
   }
   else
   {
      $template->setVariable("PREVIOUS", "#");
   }

   /* if there is any next page? */
   if ($offset+ADMINLIMIT < $totalnum)
   {
      $tmpoffset = $offset + ADMINLIMIT;
	  $template->setVariable("LINK", "admin_transaction.php");
      $template->setVariable("NEXT", "?offset=$tmpoffset");
   }
   else
   {
	  $template->setVariable("LINK", "admin_transaction.php");
      $template->setVariable("NEXT", "?offset=$offset");
   }
$template->parseCurrentBlock("pagenavigation");



/* unlock the previous locked table transaction */
$query="UNLOCK TABLES";
$result =$connection->query($query);
   if (DB::isError($result))  
      die($result->getMessage()); 
$template->show();


?>

