<?php

include "dayadb.php";
include_once $pear_tmpl;
include_once $pear_db;



if (!(isset($_SESSION["adminID"])))
   die ("You don't have permission to access");



/* load template to display the format*/
$template = new HTML_Template_ITX($template_dir);
$template->loadTemplateFile("admin_transaction_detail.tpl", true, true);

include "head.php";
include "footer.php";


$id=trim($_GET["id"]);

$connection = DB::connect($login); 

if (DB::isError($connection)) 
   die($connection->getMessage());		


/* lock table transaction to READ avoid dirty-read */
$query="LOCK TABLE transactionDetail READ";

$query="SELECT * FROM transactionDetail td " .
"WHERE td.transactionID = '{$id}' " .
"AND td.tddelete ='N'";

$result =$connection->query($query); 

if (DB::isError($result))  
   die($result->getMessage()); 


$totalnum = $result->numRows();
$offset = 0;

if (isset($_GET["offset"]))
  $offset = $_GET["offset"];

$result = $connection->limitQuery($query, $offset, LIMITROWS);

$rowcount = 0;

if ($totalnum > 0)
{
   /* replace placeholder LIST with transaction_row template which
    contains delete/undelete options to choose */
   $template->addBlockFile("LIST", "detail", "transaction_detail_row.tpl");
   while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
   {   
      $template->setCurrentBlock("detail");
   
      /* detail block to replace each of the placeholders to its value
       displaying the seller/buyer's usernames*/

      $template->setVariable("ID", $row["transactionID"]);
      $tid=$row["transactionID"];   
   
      $q="LOCK TABLE transaction, items, member READ";   
      $q="SELECT sellerID FROM transaction WHERE transactionID = '{$tid}'";
      $res =$connection->query($q);
      if (DB::isError($res))  
         die($res->getMessage()); 
      while ($r =$res->fetchRow(DB_FETCHMODE_ASSOC))
      {	   
         $seller=$r["sellerID"];	  
      }
      $y = (Int)substr($row["bidTime"],0,4);
      $m = (Int)substr($row["bidTime"],4,-8);
      $d = (Int)substr($row["bidTime"],6,-6);
      $h = (Int)substr($row["bidTime"],8,-4);
      $mi = (Int)substr($row["bidTime"],10,-2);
      $s = (Int)substr($row["bidTime"],12);
     
      $time = "$h:$mi:$s $d/$m/$y";
      $template->setVariable("BIDTIME", $time);
	  $price=$row["bidPrice"];
      $template->setVariable("BIDPRICE", "$ $price");
          
   
      /* to find seller/buyer username, to use sellerID/buyerID to get the 
       matched username in member table*/
      $q="SELECT userName FROM member WHERE memberID='{$seller}'";
      $res =$connection->query($q);
      if (DB::isError($res))  
         die($res->getMessage()); 
      /* get the username of seller */
      while ($r =$res->fetchRow(DB_FETCHMODE_ASSOC))
      {
         $name= $r["userName"];	 
      }
      $template->setVariable("SELLER", $name);
      $buyer=$row["buyerID"];
      $template->setVariable("BUYERID", $buyer);
      $q="SELECT userName FROM member WHERE memberID='{$buyer}'";
      $res =$connection->query($q);
      if (DB::isError($res))  
         die($res->getMessage()); 
      /* get the username of buyer */
      while ($r =$res->fetchRow(DB_FETCHMODE_ASSOC))
      {
         $name= $r["userName"];
      }  
  
      $template->setVariable("BUYER", $name);
   
      /* parse the block detail to the template */
      $template->parseCurrentBlock("detail");
   }

   /* unlock tables */
   $q="UNLOCK TABLES";
   $res =$connection->query($q);
   if (DB::isError($res))  
      die($res->getMessage()); 

}

$template->addBlockFile("LIST", "detail", "transaction_detail_row.tpl");
$template->setCurrentBlock("detail");
$template->setVariable("BIDTIME", "");
$template->setVariable("BIDPRICE", "");
$template->setVariable("SELLER", "");
$template->setVariable("BUYER", "");
$template->parseCurrentBlock("detail");



$template->setCurrentBlock("pagecount");
if ($totalnum > 0)
{
   $template->setVariable("STARTRECORD", $offset + 1);
}
else
{
   $template->setVariable("STARTRECORD", $offset);
}
$template->setVariable("TOTALRECORD", $totalnum);
$template->parseCurrentBlock("pagecount");


$template->setCurrentBlock("pagenavigation");
   /* if there is any previous page */
   if ($offset-LIMITROWS >= 0)
   {
      $tmpoffset = $offset - LIMITROWS;
      $template->setVariable("PREVIOUS", "?offset=$tmpoffset");
   }
   else
   {
      $template->setVariable("PREVIOUS", "#");
   }

   /* if there is any next page? */
   if ($offset+LIMITROWS < $totalnum)
   {
      $tmpoffset = $offset + LIMITROWS;
	  $template->setVariable("LINK", "admin_transaction_detail.php");
      $template->setVariable("NEXT", "?offset=$tmpoffset");
   }
   else
   {
	  $template->setVariable("LINK", "admin_transaction_detail.php");
      $template->setVariable("NEXT", "?offset=$offset");
   }
$template->parseCurrentBlock("pagenavigation");





/* unlock the previous locked table transaction */
$query="UNLOCK TABLES";
$result =$connection->query($query);
   if (DB::isError($result))  
      die($result->getMessage()); 


$template->show();


?>


