<?php
   include "dayadb.php";

   /* check if member is logged in */
   if (isset($_SESSION["memberID"]))
   {
      /* check if this is time out */
      if (isTimeOut())
      {
         header("Location: timeout.php");
         exit;
      }
   
   /* include ITX */
   include_once $pear_tmpl;
   include_once $pear_db;

   /* Create a new template, and specify that the template
      files are in the subdirectory "templates" */
   $template = new HTML_Template_ITX("./templates");
   $template->loadTemplatefile("changeconfirm.tpl", true, true);


   /* connection to sql */
   $connection = DB::connect($login);

   /* if not connect the database display the error message */
   if(DB::isError($connection))
   {
      die($connection->getMessage());
   }

   /* include block files */
   include "login.php";
   include "head.php";
   include "categories.php";
   include "search.php";
   include "top5members.php";
   include "footer.php";
   /* end include */

   /* run the current block show_database_content in the template */
   $template->setCurrentBlock("show_database_content");

   $query = "SELECT userName, givenName, surname, dob ".
            "FROM member WHERE userName='".$_SESSION["userName"]."'";

   /* To connect the query and get the info of the login user */
   $result = $connection->query($query);

   if (DB::isError($result))
   {
      die($result->getMessage());
   }

   /* get the number of row and store to $rowFound */
   $rowFound = $result->fetchRow(DB_FETCHMODE_ASSOC);
   $numrow = $result->numRows();

   /* if the record is found */
   if($numrow > 0)
   {
      $template->setVariable("USERNAME", $rowFound["userName"]);
      $template->setVariable("GIVENNAME", $rowFound["givenName"]);
      $template->setVariable("SURNAME", $rowFound["surname"]);
      $username = $rowFound["userName"];
      $givenname = $rowFound["givenName"];
      $surname = $rowFound["surname"];
   }


   /* it pass the new email, address, postcode and the state to the template
      to print out from there */
   $template->setVariable("EMAIL", $newemail);
   $template->setVariable("ADDRESS", $newaddress);
   $template->setVariable("POSTCODE", $newpostcode);
   $template->setVariable("STATE", $newstate);


   /* if the record is found */
   if($numrow > 0)
   {
      $template->setVariable("DATEOFBIRTH", $rowFound["dob"]);
      $dob = $rowFound["dob"];
   }

   /* it pass the new home phone and the new mobile phone to the template
      to print out from there */
   $template->setVariable("PHONEHOME", $newhome);
   $template->setVariable("PHONEMOBILE", $newmobile);


   /* if the new password is set, then it will pass it
      to the template to print out from there */
   if(isset($newpassword))
   {

      $template->setCurrentBlock("newpasswd");
      $template->setVariable("NEWPASSWORD", $newpassword);
      $template->parseCurrentBlock();
   }

   $template->parseCurrentBlock();
   $template->show();

   }
   else
   {
      header("Location: timeout.php");
      exit;
   }

?>









