<?php
   include "dayadb.php";

   /* check if the member is logged in */
   if (isset($_SESSION["memberID"]))
   {
      /* check if this is timeout */
      if (isTimeOut())
      {
         header("Location: timeout.php");
         exit;
      }

   /* include ITX */
   include_once $pear_tmpl;
   include_once $pear_db;

   /*Create a new template, and specify that the template
     files are in the subdirectory "templates" */
   $template = new HTML_Template_ITX("./templates");
   $template->loadTemplatefile("changepersonal.tpl", true, true);

   /* connection to sql */
   $connection = DB::connect($login);

   /* if not connect the database display the error message */
   if(DB::isError($connection))
   {
      die($connection->getMessage());
   }


   $session_username = $_SESSION["userName"];


   if(isset($submited))
   {
      if(strlen($_GET["email"]) != 0)
      {
         /* using the trim() function to trim off all spaces from the
            beginning and end of the user input variable */
         $clean_email = trim($_GET["email"]);
         $valid_email_expression = "^[0-9a-z~!#$%&_-]([.]?[0-9a-z~!#$%&_-])*" .
                                   "@[0-9a-z~!#$%&_-]([.]?[0-9a-z~!#$%&_-])*$";


         $emailquery = "SELECT email FROM member ".
                       "WHERE email = '{$clean_email}' ".
                       "AND userName != '{$session_username}' ";

         $emailresult = $connection->query($emailquery);

         if(DB::isError($emailresult))
         {
            die($emailresult->getMessage());
         }

         /* get the number of row and store to $rowFound */
         $email_found = $emailresult->fetchRow(DB_FETCHMODE_ASSOC);
         $email_row = $emailresult->numRows();


         /* if the new email is invalid, then it will pass an error message
            to the template to print out from there */
         if(!ereg($valid_email_expression, $clean_email))
         {
            $template->setCurrentBlock("invalidemail");
            $template->setVariable("INVALIDEMAIL", "* Invalid email format");
            $checkerror = true;
         }
         elseif($email_row > 0)
         {
            $template->setCurrentBlock("invalidemail");
            $template->setVariable("INVALIDEMAIL",
            "* Sorry your selected new email adress has been taken by other!");
            $checkerror = true;
         }
         else
         {
            $url = "changeconfirm.php?newemail={$clean_email}&";
         }
      }
      else
      {
         $template->setCurrentBlock("invalidemail");
         $template->setVariable("INVALIDEMAIL",
                                "* Email address must be provided");
         $checkerror = true;
      }

      $query_4 = "SELECT passWord FROM member ".
                 "WHERE userName='".$_SESSION["userName"]."'".
                 "AND passWord = '{$oldpassword}' ";

      /* To connect the query and get the info of the login user */
      $passwordresult = $connection->query($query_4);

      if(DB::isError($passwordresult))
      {
         die($passwordresult->getMessage());
      }

      /* get the number of row and store to $rowFound */
      $rowFound_4 = $passwordresult->fetchRow(DB_FETCHMODE_ASSOC);
      $numrow_4 = $passwordresult->numRows();

      if(strlen($_GET["oldpassword"]) != 0)
      {
         /* if the old password is invalid, then it will pass an error message
            to the template to print out from there */
         if($numrow_4 != 1)
         {
            $template->setCurrentBlock("invalidoldpassword");
            $template->setVariable("INVALIDOLDPASSWORD",
            "* Invalid old password");
            $checkerror = true;
         }
      }
      else
      {
         $template->setCurrentBlock("invalidoldpassword");
         $template->setVariable("INVALIDOLDPASSWORD",
         "* Old password must be provided");
         $checkerror = true;
      }

      if(strlen($_GET["newpassword"]) != 0)
      {
         /* if the new password is invalid, then it will pass an error message
            to the template to print out from there */
         if(strlen($_GET["confirmpassword"]) == 0)
         {
            $template->setCurrentBlock("invalidconfirmpassword");
            $template->setVariable("INVALIDCONFIRM",
            "* Please confirm your new password!");
            $checkerror = true;
         }
      }

      if(strlen($_GET["confirmpassword"]) != 0)
      {
         /* if the confirmed password is invalid, then it will pass an error
            message to the template to print out from there */
         if(strlen($_GET["newpassword"]) == 0)
         {
            $template->setCurrentBlock("invalidnewpassword");
            $template->setVariable("INVALIDNEW",
            "* Please fill in your new password!");
            $checkerror = true;
         }
      }

      if(strlen($_GET["newpassword"]) != 0 &&
         strlen($_GET["confirmpassword"]) != 0)
      {
         /* if the new password and the confirmed password not the same,
            then it will pass an error message to the template */
         if(strcmp($_GET["newpassword"], $_GET["confirmpassword"]) != 0)
         {
            $template->setCurrentBlock("invalidnewpassword");
            $template->setVariable("INVALIDNEW",
            "* confirm password should be the same as new password!");
            $checkerror = true;
         }
         else
         {
            /* using the trim() function to trim off all spaces from
               the beginning and end of the user input variable */
            $clean_newpassword = trim($_GET["newpassword"]);
            $url .= "newpassword={$clean_newpassword}&";
         }
      }


      /* if the new home phone is invalid, then it will pass an error message
         to the template to print out from there */
      if(!ereg("^[0-9]*$", $_GET["phonehome"]))
      {
         $template->setCurrentBlock("invalidhomephone");
         $template->setVariable("INVALIDHOMEPHONE",
         "* phone number should be in digit!");
         $checkerror = true;
      }
      else
      {
         /* using the trim() function to trim off all spaces from the beginning
            and end of the user input variable */
         $clean_homephone = trim($_GET["phonehome"]);
      }


      /* if the new mobile phone is invalid, then it will pass an error message
         to the template to print out from there */
      if(!ereg("^[0-9]*$", $_GET["phonemobile"]))
      {
         $template->setCurrentBlock("invalidmobilephone");
         $template->setVariable("INVALIDMOBILEPHONE",
         "* phone number should be in digit!");
         $checkerror = true;
      }
      else
      {
         /* using the trim() function to trim off all spaces from the
            beginning and end of the user input variable */
         $clean_mobilephone = trim($_GET["phonemobile"]);
      }

      /* using the trim() function to trim off all spaces from the beginning
         and end of the user input variable */
      $clean_postcode = trim($_GET["postalcode"]);
      $clean_address = trim($_GET["address"]);
      $clean_state = trim($_GET["state"]);


      /*  if the user input(s) is validated then it will
          direct to changeconfirm.php page */
      if (!$checkerror)
      {
         $url .= "newaddress={$clean_address}&".
                 "newpostcode={$clean_postcode}&".
                 "newstate={$clean_state}&".
                 "newhome={$clean_homephone}&".
                 "newmobile={$clean_mobilephone}";

         header("Location: {$url}");
         exit;
      }
   }


   $query_1 = "SELECT userName, givenName, surname, email, passWord, ".
              "address, postcode, homePhone, mobilePhone ".
              "FROM member WHERE userName='".$_SESSION["userName"]."'";

   $query_2 = "SELECT dob FROM member ".
              "WHERE userName='".$_SESSION["userName"]."'";

   $query_3 = "SELECT regionName FROM region";

   $statequery = "SELECT region FROM member ".
                 "WHERE userName = '{$session_username}' ";


   /* To connect the query and get the info of the login user */
   $mainresult = $connection->query($query_1);
   $dobresult = $connection->query($query_2);
   $stateresult = $connection->query($query_3);
   $staterecord = $connection->query($statequery);


   if (DB::isError($mainresult))
   {
      die($mainresult->getMessage());
   }
   if (DB::isError($dobresult))
   {
      die($dobresult->getMessage());
   }
   if (DB::isError($stateresult))
   {
      die($stateresult->getMessage());
   }
   if (DB::isError($staterecord))
   {
      die($staterecord->getMessage());
   }


   /* get the number of row and store to $rowFound */
   $rowFound_1 = $mainresult->fetchRow(DB_FETCHMODE_ASSOC);
   $numrow_1 = $mainresult->numRows();

   /* get the number of row and store to $rowFound */
   $rowFound_2 = $dobresult->fetchRow(DB_FETCHMODE_ASSOC);
   $numrow_2 = $dobresult->numRows();

   $numrow_3 = $stateresult->numRows();

   /* get the number of row and store to $rowFound */
   $found = $staterecord->fetchRow(DB_FETCHMODE_ASSOC);
   $numrowFound = $staterecord->numRows();


   if ($numrow_1 > 0)
   {
      /* Template */
      $template->setCurrentBlock("show_database_content");
      $template->setVariable("USERNAME", $rowFound_1["userName"]);
      $template->setVariable("GIVENNAME", $rowFound_1["givenName"]);
      $template->setVariable("SURNAME", $rowFound_1["surname"]);
      $template->setVariable("EMAIL", $rowFound_1["email"]);
      $template->setVariable("ADDRESS", $rowFound_1["address"]);
      $template->setVariable("POSTCODE", $rowFound_1["postcode"]);


      /* if the record is found */
      if($numrow_2 > 0)
      {
         $template->setCurrentBlock("show_database_content");
         $template->setVariable("DATEOFBIRTH", $rowFound_2["dob"]);
      }

      /* if the record is found */
      if ($numrow_3 > 0)
      {
         /* if the record is found */
         if($numrowFound > 0)
         {
            $template->setCurrentBlock("have_state_record");
            $template->setVariable("STATE", $found["region"]);

            /* get the number of row and store to $rowFound */
            while($rowFound_3 = $stateresult->fetchRow(DB_FETCHMODE_ASSOC))
            {
               if($rowFound_3["regionName"] != $found["region"])
               {
                  $template->setCurrentBlock("state_drop_down_list");
                  $template->setVariable("REGIONNAME", $rowFound_3["regionName"]);
                  $template->parseCurrentBlock();
               }
            }
         }
         else
         {
            $template->setCurrentBlock("no_state_record");

            /* get the number of row and store to $rowFound */
            while($rowFound_3 = $stateresult->fetchRow(DB_FETCHMODE_ASSOC))
            {
               $template->setCurrentBlock("state_drop_down_list");
               $template->setVariable("REGIONNAME", $rowFound_3["regionName"]);
               $template->parseCurrentBlock();
            }
         }
      }

      $template->setCurrentBlock("show_database_content");
      $template->setVariable("PHONEHOME", $rowFound_1["homePhone"]);
      $template->setVariable("PHONEMOBILE", $rowFound_1["mobilePhone"]);
      $template->parseCurrentBlock();
   }


   /* include block files*/
   include "login.php";
   include "head.php";
   include "categories.php";
   include "search.php";
   include "top5members.php";
   include "footer.php";

   /* end include */


   /* flush to screen*/
   $template->show();
   }
   else
   {
      header("Location: timeout.php");
      exit;
   }

?>

