<?php

include "dayadb.php";
include_once $pear_tmpl;  
include_once $pear_db;

if (!(isset($_SESSION["adminID"])))
   die ("You don't have permission to access");

$template = new HTML_Template_ITX($template_dir);
$template->loadTemplateFile("check_updatemember.tpl", true, true);

$template->setCurrentBlock("all");

include "head.php";
include "footer.php";
   
$connection = DB::connect($login);
if (DB::isError($connection)) 
   die($connection->getMessage());		

$checkerror = false;
   
$id = $_GET["id"];
$username = $_GET["username"];
$givenname = $_GET["givenname"];
$surname =$_GET["surname"];
$dob =$_GET["dob"];
$email = $_GET["email"];
$address = $_GET["address"];
$postalcode = $_GET["postalcode"];
$region = $_GET["region"];
$phonehome = $_GET["phonehome"];
$phonemobile = $_GET["phonemobile"];
$oldpasswd=$_GET["oldpassword"];
$newpasswd=$_GET["newpassword"];
$confirmpasswd=$_GET["conpassword"];

$template->setVariable("ID", $id);
$template->setVariable("USERNAME", $username); 
$template->setVariable("GIVENNAME", $givenname);  
$template->setVariable("SURNAME", $surname);  
$template->setVariable("DOB", $dob);  
$template->setVariable("PHONEHOME", $phonehome);
$template->setVariable("PHONEMOBILE", $phonemobile);
$template->setVariable("ADDRESS", $address);   
$template->setVariable("POSTAL", $postalcode);
$template->setVariable("EMAIL", $email);
$template->setVariable("REGIONVALUE", $region);


$query="LOCK TABLE region READ";
$query="SELECT * FROM region";
$result=$connection->query($query);
if (DB::isError($result))  
   die($result->getMessage());
   
$template->addBlockFile("REGION", "region", "list.tpl");

while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
{	 
       $template->setCurrentBlock("region");
       $template->setVariable("VALUE", $row["regionName"]);
       $template->parseCurrentBlock("region");
}  
   
/* unlock tables*/
$query="UNLOCK TABLES";
$result=$connection->query($query); 
if (DB::isError($result))  
   die($result->getMessage());


/* old password check */
$template->setCurrentBlock("ope");
if (empty($oldpasswd))
{
   $template->setVariable("OPWMESG", "old password cannot be empty");	
   $checkerror = true;
}
else
{
   $query="LOCK TABLE member READ";
   $query="SELECT * FROM member WHERE memberID='{$id}'";
   $result =$connection->query($query); 
   if (DB::isError($result))  
      die($result->getMessage());
   while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
   {
      if ($row["passWord"] != $oldpasswd)
      {       
         $template->setVariable("OPWMESG", "old password not valide");
         $checkerror = true;
      }
   }
   $query="UNLOCK TABLES";
   $result =$connection->query($query); 
   if (DB::isError($result))  
       die($result->getMessage());
}
$template->parseCurrentBlock("ope");


  /* validate new password */

$template->setCurrentBlock("npe");
if (empty($newpasswd))
{		

   $template->setVariable("NPWMESG", "new password can't be empty");
   $checkerror = true;
}
$template->setCurrentBlock("npe");

/* validate confirm password */
$template->setCurrentBlock("cpe");
if (empty($confirmpasswd))
{
	
   $template->setVariable("CPWMESG", "confirm password can't be empty");
   $checkerror = true;
}
else
{   
   if ($newpasswd != $confirmpasswd)
   {
      $template->setVariable("CPWMESG", "confirm password is not matched with new password entered");
      $checkerror = true;
   }
}
$template->parseCurrentBlock("cpe");
   
    /* email validation */
$template->setCurrentBlock("eme");
if (empty($email))
{
   $template->setVariable("EMMESG", "email cannot be empty");
   $checkerror = true;
}
else
{	  
   $regexp = "^[0-9a-z~!#$%&_-]([.]?[0-9a-z~!#$%&_-])*" .
             "@[0-9a-z~!#$%&_-]([.]?[0-9a-z~!#$%&_-])*$";
   if (!eregi($regexp, $email))
   {
     $template->setVariable("EMMESG", "invalid email address");
     $checkerror = true;
   }
}
$template->parseCurrentBlock("eme");
  
/* if the checks are all ok then go to update_member.php */
if (!$checkerror)
{
   header("Location: update_member.php?id= $id&" .
           "email=$email&address=$address&" .
           "postalcode=$postalcode&region=$region&" .
           "phonehome=$phonehome&phonemobile=$phonemobile&" .
           "password=$newpasswd");
   exit;
}
  

$template->setCurrentBlock("all");
$template->parseCurrentBlock("all");
$template->show();

?>

