<?php
   include "dayadb.php";
   /* include ITX */
   include_once $pear_tmpl;
   include_once $pear_db;

   /* check if this is logined in */
   if (isset($_SESSION["memberID"]))
   {
      /* check if this is time out */
      if (isTimeOut())
      {
         header("Location: timeout.php");
         exit;
      }
   
   /* Template */
   $template = new HTML_Template_ITX("./templates");
   $template->loadTemplatefile("confirmpost.tpl", true, true);

   /* connection to database */
   $connection = DB::connect($login);

   /* check db error */
   if (DB::isError($connection))
   {
      die($connection->getMessage());
   }

 /* include header banner php file */
   include "login.php";
   include "head.php";
   include "categories.php";
   include "search.php";
   include "top5members.php";
   include "footer.php";
 /* end include */

   /* check item title */
   $template->setCurrentBlock("ITEM");
   $template->setVariable("ITEMTITLE", $_GET["itemtitle"]);
   /* get category name from db */
   $result = $connection->query("SELECT categoryName FROM category WHERE
                                   categoryID = " . $_GET["category"]);
   if (DB::isError($result))
   {
      die($result->getMessage());
   }
   $row = $result->fetchrow(DB_FETCHMODE_ASSOC);
   $template->setVariable("CATEGORY", $row["categoryName"]);
   /* get sub category name from db */
   $result = $connection->query("SELECT subCategoryName FROM subCategory WHERE
                                  subCategoryID = ". $_GET["subcategory"]);
   if (DB::isError($result))
   {
      die($result->getMessage());
   }
   $row = $result->fetchrow(DB_FETCHMODE_ASSOC);
   $template->setVariable("SUBCATEGORY", $row["subCategoryName"]);
   $template->setVariable("DESCRIPTION", $_GET["description"]);
   $template->setVariable("STOCK", $_GET["stock"]);
   $template->setVariable("PRICE", $_GET["price"]);
   $template->setVariable("CATEGORYID", $_GET["category"]);
   $template->setVariable("SUBCATID", $_GET["subcategory"]);
   $template->setVariable("BIDPERIOD", $_GET["bidperiod"]);
   $template->parseCurrentBlock("ITEM");


   /* flush to screen */
   $template->show();  

   }
   else
   {
      header("Location: timeout.php");
      exit;
   }
  
?>
