<?php
   /* include ITX */
   /*include_once "yallara-pear/ITX.php";*/
   include "dayadb.php";
   include $pear_tmpl;
   include $pear_db;

   /* Template */
   $template = new HTML_Template_ITX("./templates");
   $template->loadTemplatefile("index.tpl", true, true);

   $count=0;

   /*connection to sql */
   $connection = DB::connect($login);

   /*if not connect the database display the error message */
   if(DB::isError($connection))
   {
      die($connection->getMessage());
   }

   /* include header banner php file */
   include "login.php";
   include "head.php";
   include "categories.php";
   include "search.php";
   include "top5members.php";
   include "footer.php";
   /* end include */

   /*Display top 5 of item which member always bid for that items*/
   /*$query= "SELECT i.itemID,i.brand_title,t.finalPrice,count(td.transactionID),
            i.biddingPeriod, i.addDate FROM items i, transaction t LEFT JOIN
            transactionDetail td ON t.transactionID = td.transactionID 
            WHERE i.itemID = t.itemID GROUP BY td.transactionID 
            ORDER BY td.transactionID DESC LIMIT 5";*/
            
   /*Display top 5 of item which member always bid for that items*/
   $query= "SELECT i.itemID,i.brand_title,t.finalPrice,count(td.transactionID),
            i.biddingPeriod, i.addDate FROM items i, transaction t LEFT JOIN
            transactionDetail td ON t.transactionID = td.transactionID 
            WHERE i.itemID = t.itemID AND t.tdelete='N'
            AND i.idelete='N' GROUP BY t.transactionID 
            ORDER BY t.transactionID DESC LIMIT 5";

   $result = $connection->query($query);
   if (DB::isError($result))
   {
      die($result->getMessage());
   }

   /*start work with the popular item block from the index.tpl template */
   $template->setCurrentBlock("POPULARITEM");

   /*while it still have the rows in the result set*/
   while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
   {
      $timeLeft=getTime($row["addDate"], $row["biddingPeriod"]);
      if(strcmp($timeLeft,"Expired") != 0)
      {
         $remainder=$count%2;

         if($remainder==0)
         {
            /*Assign the row data to the template placeholders*/
            $template->setVariable("COLOR","#6CCD6E");
         }
         else 
         {
            /*Assign the row data to the template placeholders*/
            $template->setVariable("COLOR","#B5EF98");
         }
         $template->setVariable("ITEMID",$row["itemID"]);
         $template->setVariable("ITEMTITLE",$row["brand_title"]);
         $template->setVariable("PRICE",$row["finalPrice"]);
         $template->setVariable("TIME",$timeLeft);

         /*Parse the current row*/
         $template->parseCurrentBlock("POPULARITEM");

         $count++;
      }
   }

   /* flush to screen */
   $template->show();  
  
?>



