<?php
   include "dayadb.php";
   /* include ITX */
   include_once $pear_tmpl;
   include_once $pear_db;

   /* check if this is logged in */
   if (isset($_SESSION["memberID"]))
   {
      /* check if this is time out */
      if (isTimeOut())
      {
         header("Location: timeout.php");
         exit;;
      }
   /* Template */
   $template = new HTML_Template_ITX("./templates");
   $template->loadTemplatefile("postitem.tpl", true, true);


   /* connection to database */
   $connection = DB::connect($login);

   /* check db error */
   if (DB::isError($connection))
   {
      die($connection->getMessage());
   }

 /* include header banner php file */
   include "login.php";
   include "head.php";
   include "categories.php";
   include "search.php";
   include "top5members.php";
   include "footer.php";
 /* end include */ 

   /* check item title */
   $template->setCurrentBlock("ITEMTITLE");
   if (empty($_GET["itemtitle"]))
   {
      $template->setVariable("ITEMTITLE", "");
   }
   else
   {
      $template->setVariable("ITEMTITLE", $_GET["itemtitle"]);
   }
   $template->parseCurrentBlock("ITEMTITLE");
     

   $query = "SELECT * FROM category WHERE cdelete = 'N'";
   /* load category */
   $result = $connection->query($query);
   if (DB::isError($result))
   {
      die($result->getMessage());
   }

   while ($row = $result->fetchrow(DB_FETCHMODE_ASSOC))
   {
      $template->setCurrentBlock("CATEGORY");
      $template->setVariable("CATEGORYID", $row["categoryID"]);
      $template->setVariable("CATEGORYNAME", $row["categoryName"]);
      if (!empty($_GET["category"]))
      {
         if ($row["categoryID"] == $_GET["category"])
         {
            $template->setVariable("WITHSELECTED", "selected");
         }
      }
      $template->parseCurrentBlock("CATEGORY");
   }

   /* free the memory */
   $result->free();
  

   /* load sub category */
   if (!empty($_GET["category"]))
   {
      $query = "SELECT * FROM subCategory
                WHERE categoryID = " .$_GET["category"] . "
                AND scdelete = 'N'";

      $result = $connection->query($query);
                                   
   }
   else
   {
      $query = "SELECT * FROM subCategory WHERE scdelete = 'N'
                AND categoryID = 1";
      $result = $connection->query($query);
   }  

   while ($row = $result->fetchrow(DB_FETCHMODE_ASSOC))
   {
      $template->setCurrentBlock("SUBCATEGORY");
      $template->setVariable("SUBCATID", $row["subCategoryID"]);
      $template->setVariable("SUBCATEGORYNAME", $row["subCategoryName"]);
      $template->parseCurrentBlock("SUBCATEGORY");
   }
 
      /* free the memory */
   $result->free();

   /* check description */
   $template->setCurrentBlock("DESCRIPTION");
   if (empty($_GET["description"]))
   {
      $template->setVariable("DESCRIPTION", "");
   }
   else
   {
      $template->setVariable("DESCRIPTION", $_GET["description"]);
   }
   $template->parseCurrentBlock("DESCRIPTION");

   /* check stock */
   $template->setCurrentBlock("STOCK");
   if (empty($_GET["stock"]))
   {
      $template->setVariable("STOCK", "1");
   }
   else
   {
      $template->setVariable("STOCK", $_GET["stock"]);
   }
   $template->parseCurrentBlock("STOCK");

   /* check price */
   $template->setCurrentBlock("PRICE");
   if (empty($_GET["price"]))
   {
      $template->setVariable("PRICE", "0.0");
   }
   else
   {
      $template->setVariable("PRICE", $_GET["price"]);
   }
   $template->parseCurrentBlock("PRICE");


   /* flush to screen */
   $template->show();  

   }
   else
   {
      header("Location: timeout.php");
      exit;
   }
  
?>
