<?php
   include "dayadb.php";

   /* check if user logged in */
   if (isset($_SESSION["memberID"]))
   {
      /* check if this is time out */
      if (isTimeOut())
      {
         header("Location: timeout.php");
         exit;
      }

   /* include ITX */
   include_once $pear_tmpl;
   include_once $pear_db;

   /*Create a new template, and specify that the template
     files are in the subdirectory "templates" */
   $template = new HTML_Template_ITX("./templates");
   $template->loadTemplatefile("successpersonal.tpl", true, true);

   /* connection to sql */
   $connection = DB::connect($login);

   /* if not connect the database display the error message */
   if(DB::isError($connection))
   {
      die($connection->getMessage());
   }

   /* include block files */
      include "login.php";
      include "head.php";
      include "categories.php";
      include "search.php";
      include "top5members.php";
      include "footer.php";
   /* end include */


   /* if the new password is set */
   if(isset($newpwd))
   {
      $query = "UPDATE member SET passWord = '{$newpwd}' ".
               "WHERE userName='".$_SESSION["userName"]."'";

      /* To connect the query and get the info of the login user */
      $result = $connection->query($query);

      if (DB::isError($result))
      {
         die($result->getMessage());
      }
   }

   /* if the new email is set */
   if(isset($email))
   {
      $query = "UPDATE member SET email = '{$email}' ".
               "WHERE userName='".$_SESSION["userName"]."'";

      /* To connect the query and get the info of the login user */
      $result = $connection->query($query);

      if (DB::isError($result))
      {
         die($result->getMessage());
      }
   }

   /* if the new address is set */
   if(isset($address))
   {
      $query = "UPDATE member SET address = '{$address}' ".
               "WHERE userName='".$_SESSION["userName"]."'";

      /* To connect the query and get the info of the login user */
      $result = $connection->query($query);

      if (DB::isError($result))
      {
         die($result->getMessage());
      }
   }

   /* if the new postcode is set */
   if(isset($postalcode))
   {
      $query = "UPDATE member SET postcode = '{$postalcode}' ".
               "WHERE userName='".$_SESSION["userName"]."'";

      /* To connect the query and get the info of the login user */
      $result = $connection->query($query);

      if (DB::isError($result))
      {
         die($result->getMessage());
      }
   }

   /* if the new state is set */
   if(isset($state))
   {
      $query = "UPDATE member SET region = '{$state}' ".
               "WHERE userName='".$_SESSION["userName"]."'";

      /* To connect the query and get the info of the login user */
      $result = $connection->query($query);

      if (DB::isError($result))
      {
         die($result->getMessage());
      }
   }

   /* if the new home phone number is set */
   if(isset($phonehome))
   {
      $query = "UPDATE member SET homePhone = '{$phonehome}' ".
               "WHERE userName='".$_SESSION["userName"]."'";

      /* To connect the query and get the info of the login user */
      $result = $connection->query($query);

      if (DB::isError($result))
      {
         die($result->getMessage());
      }
   }

   /* if the new mobile phone number is set */
   if(isset($phonemobile))
   {
      $query = "UPDATE member SET mobilePhone = '{$phonemobile}' ".
               "WHERE userName='".$_SESSION["userName"]."'";

      /* To connect the query and get the info of the login user */
      $result = $connection->query($query);

      if (DB::isError($result))
      {
         die($result->getMessage());
      }
   }

   $template->show();

   }
   else
   {
      header("Location: timeout.php");
      exit;
   }

?>


