<?php

include "dayadb.php";
include_once $pear_tmpl;
include_once $pear_db;



//session_start();

if (!(isset($_SESSION["adminID"])))
   die ("You don't have permission to access");
   
/* load template to display admin list
replace placeholder MEMBERS with values
memberid, name, email in drop-down list*/
$template = new HTML_Template_ITX($template_dir);
$template->loadTemplatefile("admin_member.tpl", true, true);
$template->setCurrentBlock("all");
$template->setVariable("IMG","images/top_admin_admin.jpg");

include "head.php";
include "footer.php";

$connection = DB::connect($login); 
if (DB::isError($connection)) 
   die($connection->getMessage());

/* use lock avoid dirty-read*/
$query = "LOCK TABLE member, admin READ";
$query = "SELECT * FROM member, admin " .
" WHERE member.memberID = admin.memberID";

$result =$connection->query($query); 

if (DB::isError($result))  
   die($result->getMessage()); 

$totalnum = $result->numRows();
$offset = 0;

if (isset($_GET["offset"]))
  $offset = $_GET["offset"];

$result = $connection->limitQuery($query, $offset, ADMINLIMIT);

$rowcount = 0;

if ($totalnum > 0)
{
   $template->addBlockFile("MEMBERS", "list", "admin_row.tpl");
   /* check adelete if it is 'Y' then display undelete
    otherwise display delete*/
   while ($row=$result->fetchRow(DB_FETCHMODE_ASSOC))
   {
      $template->setCurrentBlock("list");
      if ($row["adelete"] =='Y')
      {	
         $template->setVariable("DES", "undelete_admin.php?");
         $template->setVariable("MESG", "undelete");
      }
      else 
      {
         $template->setVariable("DES", "delete_admin.php?");
         $template->setVariable("MESG", "delete");
      }
      $template->setVariable("ID", $row["adminID"]);
      $template->setVariable("NAME", $row["userName"]);
      $template->setVariable("EMAIL", $row["email"]);
      $template->setVariable("ID", $row["adminID"]);   
      $template->parseCurrentBlock("list");
	  $rowcount++;
   }
}

$template->setCurrentBlock("pagecount");
if ($totalnum > 0)
{
   $template->setVariable("STARTRECORD", $offset + 1);
}
else
{
   $template->setVariable("STARTRECORD", $offset);
}
$template->setVariable("TOTALRECORD", $totalnum);
$template->parseCurrentBlock("pagecount");


$template->setCurrentBlock("pagenavigation");
   /* if there is any previous page */
   if ($offset-ADMINLIMIT >= 0)
   {
      $tmpoffset = $offset - ADMINLIMIT;
      $template->setVariable("PREVIOUS", "?offset=$tmpoffset");
   }
   else
   {
      $template->setVariable("PREVIOUS", "#");
   }

   /* if there is any next page? */
   if ($offset+ADMINLIMIT < $totalnum)
   {
      $tmpoffset = $offset + ADMINLIMIT;
	  $template->setVariable("LINK", "admin_admin_list.php");
      $template->setVariable("NEXT", "?offset=$tmpoffset");
   }
   else
   {
	  $template->setVariable("LINK", "admin_admin_list.php");
      $template->setVariable("NEXT", "?offset=$offset");
   }
$template->parseCurrentBlock("pagenavigation");

$template->show();

$query="UNLOCK TABLES";
$result =$connection->query($query); 

if (DB::isError($result))  
   die($result->getMessage()); 
?>


