<?php

include "dayadb.php";
include_once $pear_tmpl;
include_once $pear_db;



if (!(isset($_SESSION["adminID"])))
   die ("You don't have permission to access");


/* load template to display member list 
 replace placeholder MEMBERS with member_row that have delete/undelete
 to choose from. 
 */
$template = new HTML_Template_ITX($template_dir);
$template->loadTemplatefile("admin_member.tpl", true, true);
$template->setCurrentBlock("all");
$template->setVariable("IMG", "images/top_admin_member.jpg");

include "head.php";
include "footer.php";

$connection = DB::connect($login); 

if (DB::isError($connection)) 
   die($connection->getMessage());		

/* use lock to avoid dirty-read*/
$query="LOCK TABLE member READ";
$query = "SELECT * FROM member ORDER BY memberID";
$result =$connection->query($query); 

if (DB::isError($result))  
   die($result->getMessage()); 

$totalnum = $result->numRows();

$offset = 0;
if (isset($_GET["offset"]))
  $offset = $_GET["offset"];

$result = $connection->limitQuery($query, $offset, ADMINLIMIT);

$rowcount = 0;

if ($totalnum > 0)
{
   $template->addBlockFile("MEMBERS", "list", "member_row.tpl");
   $template->setCurrentBlock("list");

   while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
   {
      if ($row["mdelete"] == 'Y')
      {
         $template->setVariable("DES", "undelete_member.php?");
         $template->setVariable("MESG", "undelete");
      }
      else 
      {
         $template->setVariable("DES", "delete_member.php?");
         $template->setVariable("MESG", "delete");
      }
      $template->setVariable("ID", $row["memberID"]);
      $template->setVariable("NAME", $row["userName"]);
      $template->setVariable("EMAIL", $row["email"]);
      $template->setVariable("ID", $row["memberID"]);      
      $template->parseCurrentBlock("list");
	  $rowcount++;
   }
}

$template->setCurrentBlock("pagecount");
if ($totalnum > 0)
{
   $template->setVariable("STARTRECORD", $offset + 1);
}
else
{
   $template->setVariable("STARTRECORD", $offset);
}
$template->setVariable("TOTALRECORD", $totalnum);
$template->parseCurrentBlock("pagecount");

$template->setCurrentBlock("pagenavigation");
   /* if there is any previous page */
   if ($offset-ADMINLIMIT >= 0)
   {
      $tmpoffset = $offset - ADMINLIMIT;
      $template->setVariable("PREVIOUS", "?offset=$tmpoffset");
   }
   else
   {
      $template->setVariable("PREVIOUS", "#");
   }

   /* if there is any next page? */
   if ($offset+ADMINLIMIT < $totalnum)
   {
      $tmpoffset = $offset + ADMINLIMIT;
	  $template->setVariable("LINK", "admin_member_list.php");
      $template->setVariable("NEXT", "?offset=$tmpoffset");
   }
   else
   {
	  $template->setVariable("LINK", "admin_member_list.php");
      $template->setVariable("NEXT", "?offset=$offset");
   }
$template->parseCurrentBlock("pagenavigation");

$template->setCurrentBlock("all");
$template->parseCurrentBlock("all");

$template->show();

$query="UNLOCK TABLES";
$result =$connection->query($query); 

if (DB::isError($result))  
   die($result->getMessage()); 

?>

