<?php

include "dayadb.php";
include_once $pear_tmpl; // using ITX 
include_once $pear_db;

//session_start();

if (!(isset($_SESSION["adminID"])))
   die ("You don't have permission to access");


/* load tempalte to display subcategory list format*/
$template = new HTML_Template_ITX ($template_dir);
$template->loadTemplatefile("admin_subcategory_list.tpl", true, true);

include "head.php";
include "footer.php";




$connection = DB::connect($login); 

if (DB::isError($connection)) 
   die($connection->getMessage());		

/* use lock to avoid dirty-read*/
$query="LOCK TABLE subCategory READ";
$query="SELECT * FROM subCategory s, category c WHERE s.categoryID=c.categoryID " .
"AND c.cdelete ='N'";
	
$result =$connection->query($query); 

if (DB::isError($result))  
   die($result->getMessage()); 

$totalnum = $result->numRows();
$offset = 0;

if (isset($_GET["offset"]))
  $offset = $_GET["offset"];

$result = $connection->limitQuery($query, $offset, ADMINLIMIT);

$rowcount = 0;

if ($totalnum > 0)
{
   /* replace placeholder LIST for subcategory_row to display options of 
    delete/undelete*/
   $template->addBlockFile("LIST", "detail", "subcategory_row.tpl");

   /* check scdelete if it's 'Y' then display undelete 
    otherwise display delete
    then replace all the placeholders with data
    category id, category name, subcategory id, subcategory name*/
   while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
   {
      $template->setCurrentBlock("detail");
      if ($row["scdelete"] == 'Y')
      {
          $template->setVariable("DES", "undelete_subcat.php?");
          $template->setVariable("MESG", "undelete");
      }
      else
      {
          $template->setVariable("DES", "delete_subcat.php?");
          $template->setVariable("MESG", "delete");
      }  
      $template->setVariable("CATEGORYID", $row["categoryID"]);
      $template->setVariable("CATEGORYNAME", $row["categoryName"]);
      $template->setVariable("SUBCATEGORYID", $row["subCategoryID"]);
      $template->setVariable("SUBCATEGORYNAME", $row["subCategoryName"]);
      $template->parseCurrentBlock("detail");
   }
}
$template->setCurrentBlock("pagecount");
if ($totalnum > 0)
{
   $template->setVariable("STARTRECORD", $offset + 1);
}
else
{
   $template->setVariable("STARTRECORD", $offset);
}
$template->setVariable("TOTALRECORD", $totalnum);
$template->parseCurrentBlock("pagecount");


$template->setCurrentBlock("pagenavigation");
   /* if there is any previous page */
   if ($offset-ADMINLIMIT >= 0)
   {
      $tmpoffset = $offset - ADMINLIMIT;
      $template->setVariable("PREVIOUS", "?offset=$tmpoffset");
   }
   else
   {
      $template->setVariable("PREVIOUS", "#");
   }

   /* if there is any next page? */
   if ($offset+ADMINLIMIT < $totalnum)
   {
      $tmpoffset = $offset + ADMINLIMT;
	  $template->setVariable("LINK", "admin_subcategory_list.php");
      $template->setVariable("NEXT", "?offset=$tmpoffset");
   }
   else
   {
	  $template->setVariable("LINK", "admin_subcategory_list.php");
      $template->setVariable("NEXT", "?offset=$offset");
   }
$template->parseCurrentBlock("pagenavigation");


$template->show();

$query="UNLOCK TABLES";
$result =$connection->query($query); 

if (DB::isError($result))  
   die($result->getMessage()); 
?>

