<?php
include_once("dayadb.php");
/* include ITX and DB */
include_once($pear_tmpl);
include_once($pear_db);
include_once($inc_dir."searchFunctions.inc");

//connect to the database   
$connection = DB::connect($login);
if (DB::isError($connection))
{
      die($connection->getMessage());
}

// search for region 
$query = "SELECT * FROM region WHERE rdelete = 'N'";
$region = $connection->query($query);
if (DB::isError($region))
{
   die("query 1 ".$region->getMessage());
}

/* search for category */
$query = "SELECT * FROM category WHERE cdelete = 'N'";
$category = $connection->query($query);
if (DB::isError($category))
{
   die("query 2 ".$category->getMessage());
}

// search for subcategory
if (!empty($_GET["category"]) && !($_GET["category"] == "all"))
{
   $query = "SELECT * FROM subCategory WHERE scdelete = 'N' AND categoryID = ".$_GET["category"];

   $subcat = $connection->query($query);
   if (DB::isError($subcat))
   {
      die("query 3 ".$subcat->getMessage());
   }
}
else
{
   //display the first category
   $query = "SELECT * FROM subCategory WHERE scdelete = 'N'
             AND categoryID = 1";
   $subcat = $connection->query($query);
   if (DB::isError($subcat))
   {
      die("query 4 ".$subcat->getMessage());
   }
}  

// Template
$template = new HTML_Template_ITX($template_dir);
$template->loadTemplatefile("advsearch.tpl", true, true);
$template->addBlockFile("ADVFORM", "advForm", "advform.tpl");
$template->setCurrentBlock("advForm");
/* check item title */
   $template->setCurrentBlock("itemtitle");
   if (empty($_GET["itemtitle"]))
   {
      $template->setVariable("ITEMTITLE", "");
   }
   else
   {
      $template->setVariable("ITEMTITLE", $_GET["itemtitle"]);
   }
   $template->parseCurrentBlock("itemtitle");

/* check priceto */
   $template->setCurrentBlock("priceto");
   if (empty($_GET["priceto"]))
   {
      $template->setVariable("PRICETO", "");
   }
   else
   {
      $template->setVariable("PRICETO", $_GET["priceto"]);
   }
   $template->parseCurrentBlock("priceto");

/* check pricefrom */
   $template->setCurrentBlock("pricefrom");
   if (empty($_GET["pricefrom"]))
   {
      $template->setVariable("PRICEFROM", "");
   }
   else
   {
      $template->setVariable("PRICEFROM", $_GET["pricefrom"]);
   }
   $template->parseCurrentBlock("pricefrom");

/* check daysleft */
   $template->setCurrentBlock("daysleft");
   if (empty($_GET["daysleft"]))
   {
      $template->setVariable("DAYSLEFT", "");
   }
   else
   {
      $template->setVariable("DAYSLEFT", $_GET["daysleft"]);
   }
   $template->parseCurrentBlock("daysleft");

/* check hrsleft */
   $template->setCurrentBlock("hrsleft");
   if (empty($_GET["hrsleft"]))
   {
      $template->setVariable("HRSLEFT", "");
   }
   else
   {
      $template->setVariable("HRSLEFT", $_GET["hrsleft"]);
   }
   $template->parseCurrentBlock("hrsleft");

/* check membername */
   $template->setCurrentBlock("membername");
   if (empty($_GET["membername"]))
   {
      $template->setVariable("MEMBERNAME", "");
   }
   else
   {
      $template->setVariable("MEMBERNAME", $_GET["membername"]);
   }
   $template->parseCurrentBlock("membername");

/* check rankfrom */
   $template->setCurrentBlock("rankfrom");
   if (empty($_GET["rankfrom"]))
   {
      $template->setVariable("RANKFROM", "");
   }
   else
   {
      $template->setVariable("RANKFROM", $_GET["rankfrom"]);
   }
   $template->parseCurrentBlock("rankfrom");

/* check category */

while ($row = $category->fetchrow(DB_FETCHMODE_ASSOC))
{
   $template->setCurrentBlock("category");
   $template->setVariable("CATEGORYID", $row["categoryID"]);
   $template->setVariable("CATEGORYNAME", $row["categoryName"]);

   if (!empty($_GET["category"]) || !($_GET["category"] == "all"))
   {
      if ($row["categoryID"] == $_GET["category"])
      {
         $template->setVariable("WITHSELECTED", "selected");
      }
   }
   $template->parseCurrentBlock("category");
}

/* free the memory */
$category->free();

/* load sub category */
while ($row = $subcat->fetchrow(DB_FETCHMODE_ASSOC))
{
   if (empty($row["deleted"]))
   {
      $template->setCurrentBlock("subcategory");
      $template->setVariable("SUBCATID", $row["subCategoryID"]);
      $template->setVariable("SUBCATEGORYNAME", $row["subCategoryName"]);
      $template->parseCurrentBlock("subcategory");
   }
}
;
/* free the memory */
$subcat->free();

// add region - currently not updated by category change
while ($regRow = $region->fetchRow(DB_FETCHMODE_ASSOC)) 
{
   $template->setCurrentBlock("region");
   $template->setVariable("REGIONID",$regRow["regionID"]);
   $template->setVariable("REGION",$regRow["regionName"]);
   $template->parseCurrentBlock("region");
}
$template->parseCurrentBlock("advForm");

/* include header banner php file */
   include "login.php";
   include "head.php";
   include "categories.php";
   include "search.php";
   include "top5members.php";
   include "footer.php";
 /* end include */ 

/* flush to screen */
$template->show();  
  
?>
