<?php

include "dayadb.php";
include_once $pear_tmpl;  
include_once $pear_db;

if (!(isset($_SESSION["adminID"])))
   die ("You don't have permission to access");

$template = new HTML_Template_ITX($template_dir);
$template->loadTemplateFile("check_addmember.tpl", true, true);

$template->setCurrentBlock("all");

include "head.php";
include "footer.php";
   
$connection = DB::connect($login);
if (DB::isError($connection)) 
   die($connection->getMessage());		

$checkerror = false;
   

$username = trim($_GET["username"]);
$givenname = trim($_GET["givenname"]);
$surname = trim($_GET["surname"]);
$dob = trim($_GET["dob"]);
$email = trim($_GET["email"]);
$address = trim($_GET["address"]);
$postalcode = trim($_GET["postalcode"]);
$region = trim($_GET["region"]);
$phonehome = trim($_GET["phonehome"]);
$phonemobile = trim($_GET["phonemobile"]);
$passwd = trim($_GET["newpassword"]);
$confirmpasswd = trim($_GET["conpassword"]);
$day = trim($_GET["day"]);
$month = trim($_GET["month"]);
$year = trim($_GET["year"]);



$template->addBlockFile("DAY", "day", "list.tpl");
$i = 1;
while ($i<=31)
{	
   $template->setCurrentBlock("day");
   $template->setVariable("VALUE", $i);
   $i=$i+1;
   $template->parseCurrentBlock("day");
}

/* replace MONTH placeholder with values from 1-12 use drop-down list*/
$template->addBlockFile("MONTH", "month", "list.tpl");
$j = 1;
while ($j<=12)
{
   $template->setCurrentBlock("month");
   $template->setVariable("VALUE", $j);
   $j=$j+1;
   $template->parseCurrentBlock("month");
}

/*replace YEAR placeholder with values from 1900-2003 use drop-down list*/
$template->addBlockFile("YEAR", "year", "list.tpl");
$k = 1900;
while ($k<=2003)
{
   $template->setCurrentBlock("year");
   $template->setVariable("VALUE", $k);
   $k=$k+1;
   $template->parseCurrentBlock("year");
}



//$template->setVariable("ID", $id);
$template->setVariable("USERNAME", $username); 
$template->setVariable("GIVENNAME", $givenname);  
$template->setVariable("SURNAME", $surname);  
$template->setVariable("PHONEHOME", $phonehome);
$template->setVariable("PHONEMOBILE", $phonemobile);
$template->setVariable("ADDRESS", $address);   
$template->setVariable("POSTAL", $postalcode);
$template->setVariable("EMAIL", $email);
$template->setVariable("REGIONVALUE", $region);
$template->setVariable("DAYVALUE", $day);
$template->setVariable("MONTHVALUE", $month);
$template->setVariable("YEARVALUE", $year);

$query="LOCK TABLE region READ";
$query="SELECT * FROM region";
$result=$connection->query($query);
if (DB::isError($result))  
   die($result->getMessage());
   
$template->addBlockFile("REGION", "region", "list.tpl");

while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
{	 
   $template->setCurrentBlock("region");
   $template->setVariable("VALUE", $row["regionName"]);
   $template->parseCurrentBlock("region");
}  

/* unlock tables*/
$query="UNLOCK TABLES";
$result=$connection->query($query); 
if (DB::isError($result))  
   die($result->getMessage());





/* validate username */
$template->setCurrentBlock("une");
if (empty($username))
{
   $template->setVariable("UNEMESG", "user name can't be empty");
   $checkerror = true;
}
else
{
   $query="LOCK TABLE member READ";
   $query="SELECT userName FROM member";
   $result =$connection->query($query); 
   if (DB::isError($result))  
       die($result->getMessage());
   while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
   {
      if ($row["userName"] == $username)
      { 
         $template->setVariable("UNEMESG", "user name exists, pls change");
         $checkerror = true;
      }
   }
   $query="UNLOCK TABLES";
   $result =$connection->query($query); 
   if (DB::isError($result))  
     die($result->getMessage());
}
$template->parseCurrentBlock("une");


$template->setCurrentBlock("gne");
if (empty($givenname))
{
   $template->setVariable("GNEMESG", "given name can't be empty");
   $checkerror = true;
}
$template->parseCurrentBlock("gne");

$template->setCurrentBlock("sne");
if (empty($surname))
{
   $template->setVariable("SNEMESG", "surname can't be empty");
   $checkerror = true;
}
$template->parseCurrentBlock("sne");


  /* validate new password */

$template->setCurrentBlock("npe");
if (empty($passwd))
{		
   $template->setVariable("NPWMESG", "password can't be empty");
   $checkerror = true;
}
$template->setCurrentBlock("npe");

/* validate confirm password */
$template->setCurrentBlock("cpe");
if (empty($confirmpasswd))
{
   $template->setVariable("CPWMESG", "confirm password can't be empty");
   $checkerror = true;
}
else
{  
   if ($passwd != $confirmpasswd)
   {	   
      $template->setVariable("CPWMESG", "confirm password is not matched with new password entered");
      $checkerror = true;
   }
}
$template->parseCurrentBlock("cpe");
   
    /* email validation */
$template->setCurrentBlock("eme");
if (empty($email))
{
   $template->setVariable("EMMESG", "email cannot be empty");
   $checkerror = true;
}
else
{	
   $regexp = "^[0-9a-z~!#$%&_-]([.]?[0-9a-z~!#$%&_-])*" .
             "@[0-9a-z~!#$%&_-]([.]?[0-9a-z~!#$%&_-])*$";
   if (!eregi($regexp, $email))
   {
     $template->setVariable("EMMESG", "invalid email address");
     $checkerror = true;
   }
}
$template->parseCurrentBlock("eme");


/* if the checks are all ok then go to update_member.php */
if (!$checkerror)
{
   header("Location: add_admin.php?id=$id&" .
	      "username=$username&surname=$surname&givenname=$givenname&" .
	      "email=$email&address=$address&" .
	      "postalcode=$postalcode&region=$region&" .
	      "phonehome=$phonehome&phonemobile=$phonemobile&" .
	      "password=$passwd&day=$day&month=$month&year=$year");
   exit;
}
$template->setCurrentBlock("all");
$template->parseCurrentBlock("all");
$template->show();

?>

