<?php
// setup variables depending on environment
   //Yallara setup - with Dan's MySQL server
   $db = "mysql";
   $hostName = "localhost:3306";
   $username = "angus";
   $password = "rainbow";
   $database = "daya";
   $template_dir = "./templates";
   $pear_tmpl = "HTML/Template/ITX.php";
   $pear_db = "DB.php";
   $inc_dir = "./inc/";

//Start sessions for all pages included in.
   session_start();

// set row limit for member history
   $limitrows = 5;
   define(LIMITROWS, $limitrows);

// set row limit for admin display
   $adminlimit = 15;
   define(ADMINLIMIT, $adminlimit);


// declare db login string;
$login = "{$db}://{$username}:{$password}@{$hostName}/$database";
//define session error and variables arrays if not set
if (!isset($_SESSION["errors"]))
{
   $_SESSION["errors"] = array();
}
if (!isset($_SESSION["vars"]))
{
   $_SESSION["vars"] = array();
}
//Error function redirects request and sets session error msg and type
function errorMain($type, $msg, $fwdTo)
{
   $_SESSION["errors"]["$type"] = $msg;
   $part_URI = 
substr($_SERVER["REQUEST_URI"],0,strrpos($_SERVER["REQUEST_URI"],"/"));
   header("Location: http://".$_SERVER['HTTP_HOST'].$part_URI."/$fwdTo");
   exit;
}

function errorBatch($type, $msg) 
{
   $_SESSION["errors"]["$type"] = $msg;
}

function mysqlclean($input,$maxlength,$connection)
{
   // function courtesy of ISYS1124 course notes
   $input = substr($input, 0, $maxlength);
   $input = mysql_real_escape_string($input, $connection);
   return ($input);
}

function clean($input,$maxlength)
{
   // function courtesy of ISYS1124 course notes
   $input = substr($input, 0, $maxlength);
   $input = EscapeShellArg($input);
   return ($input);
}
//Function to determine the length of time remaining in a transaction
function getTime($added,$period)
{
   //mySQL timestamp retrieval format = YYYYMMDDHHMMSS
   //added stored as timestamp, period stored in days(int).
   $y = (Int)substr($added,0,4);
   $m = (Int)substr($added,4,-8);
   $d = (Int)substr($added,6,-6);
   $h = (Int)substr($added,8,-4);
   $mi = (Int)substr($added,10,-2);
   $s = (Int)substr($added,12);
   $addTime = mktime($h, $mi, $s, $m, $d, $y);
   //converted to timestamp
   $timeEnd = $addTime + ($period*(24*60*60));
   $timeLeft = (float)$timeEnd - (float)strtotime("now");
   if ($timeLeft > 0)
   {
      $days = floor($timeLeft/86400);
      $hours = floor(($timeLeft - ($days*86400))/3600);
      $mins = floor((($timeLeft - ($days*86400)) - ($hours*3600))/60);
      $timeReturn = "$days days, $hours hrs $mins mins";
   }
   else
   {
      //item has expired sale date
      $timeReturn = "Expired";
   }
   return $timeReturn;
}

function isTimeOut()
{
   //session timeout
   $sesstimeout = 10;

   if(isset($_SESSION["startprocess"]))
   {
      $difference = time() - $_SESSION["startprocess"];
      $minues = $difference/60;

      if($minues > $sesstimeout)
      {
         if (!isset($_SESSION["istimeout"]))
         {
            $_SESSION["istimeout"] = 1;
         }
         return true;
      }
   }
   return false;
}

?>
