<?php
include_once("dayadb.php");
include_once($pear_tmpl);
include_once($pear_db);
include_once($inc_dir."searchFunctions.inc");

//connect to the database   
$connection = DB::connect($login);
if (DB::isError($connection))
{
   $searchErrorMsg = "Sorry a database error occured - ".($connection->getMessage());
   searchError($searchErrorMsg);
}

if (!$searchErrorOccured)
{
   //track existing search data for returning to search page
   if (isset($_SESSION["toSearch"]))
   {
      $_SESSION["membSearch"] = $_SESSION["toSearch"];
   }
   //Set the no of rows to 1 to stop errors
   $_SESSION["rows"] = 1;
   //do database search for detail data
   $search3 = doSimpleSearch($HTTP_GET_VARS["memberID"], 7, $memberQuery3);
   $search2 = doSimpleSearch($HTTP_GET_VARS["memberID"], 7, $memberQuery2);
   $search1 = doSimpleSearch($HTTP_GET_VARS["memberID"], 7, $memberQuery1);
   $search4 = doSimpleSearch($HTTP_GET_VARS["memberID"], 7, $memberQuery4);
}

//define new template
$template = new HTML_Template_ITX($template_dir);
$template->loadTemplatefile("searchresult.tpl", true, true);

if (!$searchErrorOccured && $_SESSION["rows"] > 0)
{
   //load result Block file
   $template->addBlockFile("SEARCH_RESULTS", "member", "member.tpl");
   parseMember();     
}
else
{
   if (!$_SESSION["rows"] > 0)
   {
      $searchErrorMsg = "No records match the search criteria";
   }
   //load error Block file
   $template->addBlockFile("SEARCH_RESULTS", "results", "error.tpl");
   $template->setCurrentBlock("message");
   $template->setVariable("MESSAGE",$searchErrorMsg);
   $template->parseCurrentBlock("message"); 
}
// Remainder of Template

/* include header banner php file */
   include "login.php";
   include "head.php";
   include "categories.php";
   include "search.php";
   include "top5members.php";
   include "footer.php";
 /* end include */ 

/* flush to screen */
$template->show();  

?>