<?php
   include "dayadb.php";

   /* include ITX */
   include_once $pear_tmpl;
   include_once $pear_db;

   // Template
   $template = new HTML_Template_ITX("./templates");
   $template->loadTemplatefile("registration.tpl", true, true);

   /* connection to database */
   $connection = DB::connect($login);

   /* check db error */
   if (DB::isError($connection))
   {
      die($connection->getMessage());
   }

   $template->setCurrentBlock("REGIST");

   //$template->show();

   if(isset($_GET["flag"])==1)
   {
      $checkerror = false;


      $query = "SELECT * FROM member";
      $result = $connection->query($query);
      if (DB::isError($result))
      {
         die($result->getMessage());
      }

     while ($row = $result->fetchrow(DB_FETCHMODE_ASSOC))
      {     
         $template->setCurrentBlock("UN");
         if($row["userName"] == $_GET["username"])
         {
            $template->setVariable("UNERROR", "username already exist");
            $template->parseCurrentBlock("UN");
            $checkerror = true;
         }

         $template->setCurrentBlock("EM");
         if ($row["email"] == $_GET["email"])
         {
            $template->setVariable("EMERROR", "email already exist");
            $template->parseCurrentBlock("EM");
            $checkerror = true;

         }
      }

      $template->setCurrentBlock("UN");
      if (empty($_GET["username"]))
      {
         $template->setVariable("UNERROR", "username cannot be empty");
         $checkerror = true;

      }
      $template->parseCurrentBlock("UN");
     
      $template->setCurrentBlock("GN");
      if (empty($_GET["givenname"]))
      {
         $template->setVariable("GNERROR", "given name cannot be empty");
         $checkerror = true;
      }
      $template->parseCurrentBlock("GN");

      $template->setCurrentBlock("SN");
      if (empty($_GET["surname"]))
      {
         $template->setVariable("SNERROR", "surname cannot be empty");
         $checkerror = true;
      }
      $template->parseCurrentBlock("SN"); 

      $template->setCurrentBlock("EM");
      if (empty($_GET["email"]))
      {
         $template->setVariable("EMERROR", "email cannot be empty");
         $checkerror = true;
      }
      else
      {
          $regexp = "^[0-9a-z~!#$%&_-]([.]?[0-9a-z~!#$%&_-])*" .
                   "@[0-9a-z~!#$%&_-]([.]?[0-9a-z~!#$%&_-])*$";

         if (!eregi($regexp, $_GET["email"]))
         {
            $template->setVariable("EMERROR", "invalid email address");
            $checkerror = true;
         }
      }
      $template->parseCurrentBlock("EM");

      $template->setCurrentBlock("PW");
      if (empty($_GET["password"]))
      {
         $template->setVariable("PWERROR", "password cannot be empty");
         $checkerror = true;
      }
      $template->parseCurrentBlock("PW");

      $template->setCurrentBlock("CPW");
      if (empty($_GET["confirmpassword"]))
      {
         $template->setVariable("CPWERROR", "confirm password cannot 
                                            be empty");
         $checkerror = true;

      }
      else
      {
         if ($_GET["confirmpassword"]!=$_GET["password"])
         {
            $template->setVariable("CPWERROR", "not match with password ");
            $checkerror = true;

         }
      }
      $template->parseCurrentBlock("CPW"); 

      if (!$checkerror)
      {
         header("Location: register_confirm.php?username="
                  .$_GET["username"]."&"."givenname="
                  .$_GET["givenname"]."&"."surname="
                  .$_GET["surname"]."&"."email="
                  .$_GET["email"]."&"."password="
                  .$_GET["password"]."&"."day="
                  .$_GET["day"]."&"."month="
                  .$_GET["month"]."&"."year="
                  .$_GET["year"]."&"."address="
                  .$_GET["address"]."&"."postalcode="
                  .$_GET["postalcode"]."&"."region="
                  .$_GET["region"]."&"."phonehome="
                  .$_GET["phonehome"]."&"."phonemobile="
                  .$_GET["phonemobile"]);
         exit;
      }
   }

   /*this will list the day 1-31*/
   $template->setCurrentBlock("days");
   for($i=1; $i<32; $i++)
   {
      $template->setVariable("DAY", $i);
      if (isset($_GET["day"]))
      {
         if ($i == $_GET["day"])
         {
            $template->setVariable("WITHSELECTED", "selected");
         }
      }
      $template->parseCurrentBlock("days");
   }

   /*this will list the month 1-12*/
   $template->setCurrentBlock("months");
   for($j=1; $j<13; $j++)
   {
      $template->setVariable("MONTH", $j);
      if (isset($_GET["month"]))
      {
         if($j == $_GET["month"])
         {
            $template->setVariable("WITHSELECTED", "selected");
         }
      }
      $template->parseCurrentBlock("months");
   }

   /*this will list the year 1900-2003*/
   $template->setCurrentBlock("years");
   for($k=1900; $k<2003; $k++)
   {
      $template->setVariable("YEAR", $k);
      if (isset($_GET["year"]))
      {
         if($k == $_GET["year"])
         {
            $template->setVariable("WITHSELECTED", "selected");
         }
      }
      $template->parseCurrentBlock("years");
   }

	$tableName="region";
	$columnName="regionName";

   /*connect the database get error message if cant connect*/
   $connection = DB::connect($login);
     
   if(DB::isError($connection))
	   die($connection->getMessage());

	/*then run the query on the daya db through the connection*/
   $regionQuery = $connection->query("SELECT $columnName 
                                FROM $tableName");
	if (DB::isError($regionQuery))
	die($regionQuery->getMessage());

   /*3) while there are still rows in the result set*/
   while ($row = $regionQuery->fetchRow(DB_FETCHMODE_ASSOC))
   {         
      $template->setCurrentBlock("regionList");

      if ($row["regionName"]!="")
      {
	      $template->setVariable("STATE", $row["regionName"]);
         if($row["regionName"] == $_GET["region"])
         {
            $template->setVariable("WITHSELECTED", "selected");
         }
      }	     
      $template->parseCurrentBlock("regionList");
   }



  if (!isset($_GET["username"]))
  {
     $template->setVariable("UNAME", "");
  }
  else
  {
     $template->setVariable("UNAME", $_GET["username"]);
  }


  if (!isset($_GET["givenname"]))
  {
     $template->setVariable("GNAME", "");
  }
  else
  {
     $template->setVariable("GNAME", $_GET["givenname"]);
  }

  if (!isset($_GET["surname"]))
  {
     $template->setVariable("SNAME", "");
  }
  else
  {
     $template->setVariable("SNAME", $_GET["surname"]);
  }

   if (!isset($_GET["email"]))
   {
      $template->setVariable("EMAIL", "");
   }
   else
   {
      $template->setVariable("EMAIL", $_GET["email"]);
   }  

   if (!isset($_GET["password"]))
   {
      $template->setVariable("PWORD", "");
   }
   /*else
   {
      $template->setVariable("PWORD",$_GET["password"]);
   }*/

   if (!isset($_GET["confirmpassword"]))
   {
      $template->setVariable("CPWORD", "");
   }
   /*else
   {
     $template->setVariable("CPWORD",$_GET["confirmpassword"]);
   }*/




  if (!isset($_GET["address"]))
  {
     $template->setVariable("ADD", "");
  }
  else
  {
     $template->setVariable("ADD", $_GET["address"]);
  }

  if (!isset($_GET["postalcode"]))
  {
     $template->setVariable("PCODE", "");
  }
  else
  {
     $template->setVariable("PCODE", $_GET["postalcode"]);
  }

  if (!isset($_GET["phonehome"]))
  {
     $template->setVariable("PH", "");
  }
  else
  {
     $template->setVariable("PH", $_GET["phonehome"]);
  }

  if (!isset($_GET["phonemobile"]))
  {
     $template->setVariable("PM", "");
  }
  else
  {
     $template->setVariable("PM", $_GET["phonemobile"]);
  }


  $template->setCurrentBlock("REGIST");
  $template->parseCurrentBlock("REGIST");

   /* include block */
   include "login.php";
   include "head.php";
   include "search.php";
   include "categories.php";
   include "top5members.php";
   include "footer.php";
   /* end include */

   
   /* flush to screen */
  $template->show();  

?>


