<?php

   $template->addBlockFile("TOP5MEMBERS", "top5members", "top5members.tpl");

   /*initial the i for later use*/
   $i=1;

   /*Find the user who are top 5 in the ranking*/
   $query = "SELECT memberID, userName, ranking 
             FROM member ORDER BY ranking DESC LIMIT 5";
		
   $result = $connection->query($query);
   if (DB::isError($result))
   {
      die($result->getMessage());
   }

   $template->setCurrentBlock("top5members");

   /*while it still have the rows in the result set*/
   while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
   {
      /*start work with the TOPFIVE block from the top5members.tpl template*/
      $template->setCurrentBlock("TOPFIVE");
      /*Assign the row data to the template placeholders*/
      $template->setVariable("TOP5",$i++);
      $template->setVariable("MEMID",$row["memberID"]);
      $template->setVariable("MEMBER",$row["userName"]);
      $template->setVariable("RANK",$row["ranking"]);

      /*Parse the current row*/
      $template->parseCurrentBlock("TOPFIVE");
   }

   $template->setCurrentBlock("top5members");
   $template->parseCurrentBlock("top5members");


   $result->free();

?>



